%define nvidia_current_libver %version
Name:          nvidia_340
Version:       340.108
Epoch:         1
Release:       9mamba
Summary:       NVIDIA proprietary accelerated drivers for the Linux Kernel
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.nvidia.com/object/unix.html
Source0:       http://us.download.nvidia.com/XFree86/Linux-x86/%{version}/NVIDIA-Linux-x86-%{version}.run
Source1:       http://us.download.nvidia.com/XFree86/Linux-x86_64/%{version}/NVIDIA-Linux-x86_64-%{version}.run
Source2:       nvidia_340.sysusers
Patch0:        nvidia-331.20-x86-conftest.patch
Patch1:        nvidia-340.102-kernel-4.9.patch
Patch2:        nvidia_340-340.102-kernel-4.9-2.patch
Patch3:        nvidia_340-340.107-conftest-x86.patch
Patch4:        nvidia_340-340.108-kernel-5.7.patch
Patch5:        nvidia_340-340.108-kernel-5.8.patch
Patch6:        nvidia_340-340.108-kernel-5.9.patch
Patch7:        nvidia_340-340.108-kernel-5.10.patch
Patch8:        nvidia_340-340.108-kernel-5.11.patch
License:       no OSI Approved
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libatk-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgtk2-devel
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
ExclusiveArch: i586 x86_64

%description
nvidia proprietary accelerated drivers for the Linux Kernel.
These packages contains parts that are not (fully) released under GPL license.
These modules are packaged apart from the main kernel modules because they are not fully released as GPL. This means that some modules might have been built from binary objects distributed by the hardware manufacturer. By loading this modules you will "taint" the kernel, which means that your running system won't be 100% GPL.

%package -n xorg-drv-video-%{name}
Group:         System/Kernel and Hardware
Summary:       NVIDIA Accelerated Libraries for Xorg
Requires:      xorg-server >= 1.1.0
Requires(post):kernelheaders
Requires(post):dkms
Requires(pre): xorg-ext-libglx-%{name} == %{epoch}:%{version}-%{release}
Requires(pre): libGL-%{name}-X11 == %{epoch}:%{version}-%{release}
Provides:      xorgdrvvideo
Provides:      kernelnvidia
Conflicts:     xorg-drv-video-nvidia
Conflicts:     xorg-drv-video-nvidia_304
Conflicts:     xorg-drv-video-nvidia_390
Provides:      libGL-%{name}-X11
Obsoletes:     libGL-%{name}-X11 < 1:340.108-7mamba
Obsoletes:     libglx-nvidia < 1:340.108-7mamba
Provides:      xorg-ext-libglx-%{name}
Obsoletes:     xorg-ext-libglx-%{name} < 1:340.108-7mamba
Conflicts:     xorg-ext-libglx-nvidia_304
Conflicts:     xorg-ext-libglx-nvidia_390
Conflicts:     xorg-ext-libglx-nvidia
Provides:      xorg-apps-%{name}
Obsoletes:     xorg-apps-%{name} < 1:340.108-7mamba
Conflicts:     xorg-apps-nvidia_304
Conflicts:     xorg-apps-nvidia_390
Conflicts:     xorg-apps-nvidia

%description -n xorg-drv-video-%{name}
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D functionality and high performance OpenGL support to Linux x86 with theuse of NVIDIA graphics processing units (GPUs).
These drivers provide optimized hardware acceleration of OpenGL applications via a direct-rendering X Server and support nearly all NVIDIA graphics chips. 
TwinView, TV-Out and flat panel displays are also supported.
This package contains the Xorg libraries.

%package -n xorg-drv-video-%{name}-doc
Group:         Documentation
Summary:       HTML documentation for NVIDIA Accelerated Libraries for Xorg
AutoReq:       no

%description -n xorg-drv-video-%{name}-doc
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D functionality and high performance OpenGL support to Linux x86 with theuse of NVIDIA graphics processing units (GPUs).
These drivers provide optimized hardware acceleration of OpenGL applications via a direct-rendering X Server and support nearly all NVIDIA graphics chips. 
TwinView, TV-Out and flat panel displays are also supported.
This package contains the HTML documentation.

%prep
%setup -q -c -n %{name}-%{version} -T

%global __provides_exclude ^(libGL\\.so.*|libEGL\\.so.*|libGLESv1_CM\\.so.*|libGLESv2\\.so.*|libOpenCL\\.so.*)$

#
# unpack NVIDIA files
#
%if "%{_target_cpu}" == "x86_64"
   sh %{SOURCE1} --extract-only
   ln -sf NVIDIA-Linux-x86_64-%{version} current
%else
   sh %{SOURCE0} --extract-only
   ln -sf NVIDIA-Linux-x86-%{version} current
%endif

sed -i "s|__UTILS_PATH__|%{_bindir}|;s|__PIXMAP_PATH__|%{_datadir}/pixmaps|" \
   current/nvidia-settings.desktop

cd current
#%patch0 -p1
%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
tar xf nvidia-persistenced-init.tar.bz2
cd ..

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
pushd current

# From Arch Linux
# X driver
install -D -m755 nvidia_drv.so %{buildroot}%{_libdir}/xorg/modules/drivers/nvidia_drv.so

# GLX extension module for X
install -D -m755 libglx.so.%{version} %{buildroot}%{_libdir}/nvidia/xorg/libglx.so.%{version}

# Ensure that X finds glx
ln -s libglx.so.%{version} %{buildroot}%{_libdir}/nvidia/xorg/libglx.so.1
ln -s libglx.so.%{version} %{buildroot}%{_libdir}/nvidia/xorg/libglx.so

# EGL and OpenGL ES libraries
install -D -m755 libGL.so.%{version} %{buildroot}%{_libdir}/nvidia/libGL.so.%{version}
install -D -m755 libEGL.so.%{version} %{buildroot}%{_libdir}/nvidia/libEGL.so.%{version}
install -D -m755 libGLESv1_CM.so.%{version} %{buildroot}%{_libdir}/nvidia/libGLESv1_CM.so.%{version}
install -D -m755 libGLESv2.so.%{version} %{buildroot}%{_libdir}/nvidia/libGLESv2.so.%{version}

# OpenGL core library
install -D -m755 libnvidia-glcore.so.%{version} %{buildroot}%{_libdir}/libnvidia-glcore.so.%{version}
install -D -m755 libnvidia-eglcore.so.%{version} %{buildroot}%{_libdir}/libnvidia-eglcore.so.%{version}
install -D -m755 libnvidia-glsi.so.%{version} %{buildroot}%{_libdir}/libnvidia-glsi.so.%{version}

# OpenCL
install -D -m644 nvidia.icd %{buildroot}%{_sysconfdir}/OpenCL/vendors/nvidia.icd
install -D -m755 libnvidia-compiler.so.%{version} %{buildroot}%{_libdir}/libnvidia-compiler.so.%{version}
install -D -m755 libnvidia-opencl.so.%{version} %{buildroot}%{_libdir}/libnvidia-opencl.so.%{version}

# misc
install -D -m755 libnvidia-ifr.so.%{version} %{buildroot}%{_libdir}/libnvidia-ifr.so.%{version}
install -D -m755 libnvidia-fbc.so.%{version} %{buildroot}%{_libdir}/libnvidia-fbc.so.%{version}
install -D -m755 libnvidia-encode.so.%{version} %{buildroot}%{_libdir}/libnvidia-encode.so.%{version}
install -D -m755 libnvidia-cfg.so.%{version} %{buildroot}%{_libdir}/libnvidia-cfg.so.%{version}
install -D -m755 libnvidia-ml.so.%{version} %{buildroot}%{_libdir}/libnvidia-ml.so.%{version}

# VDPAU
install -D -m755 libvdpau_nvidia.so.%{version} %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so.%{version}

# nvidia-tls library
install -D -m755 tls/libnvidia-tls.so.%{version} %{buildroot}%{_libdir}/tls/libnvidia-tls.so.%{version}

# CUDA
install -D -m755 libcuda.so.%{version} %{buildroot}%{_libdir}/libcuda.so.%{version}
install -D -m755 libnvcuvid.so.%{version} %{buildroot}%{_libdir}/libnvcuvid.so.%{version}

# DEBUG
install -D -m755 nvidia-debugdump %{buildroot}%{_bindir}/nvidia-debugdump

# nvidia-xconfig
install -D -m755 nvidia-xconfig %{buildroot}%{_bindir}/nvidia-xconfig
install -D -m644 nvidia-xconfig.1.gz %{buildroot}%{_mandir}/man1/nvidia-xconfig.1.gz

# nvidia-settings
install -D -m755 nvidia-settings %{buildroot}%{_bindir}/nvidia-settings
install -D -m644 nvidia-settings.1.gz %{buildroot}%{_mandir}/man1/nvidia-settings.1.gz
install -D -m644 nvidia-settings.desktop %{buildroot}%{_datadir}/applications/nvidia-settings.desktop
install -D -m644 nvidia-settings.png %{buildroot}%{_datadir}/pixmaps/nvidia-settings.png
sed -e 's:__UTILS_PATH__:/usr/bin:' -e 's:__PIXMAP_PATH__:/usr/share/pixmaps:' -i %{buildroot}%{_datadir}/applications/nvidia-settings.desktop

# nvidia-bug-report
install -D -m755 nvidia-bug-report.sh %{buildroot}%{_bindir}/nvidia-bug-report.sh

# nvidia-smi
install -D -m755 nvidia-smi %{buildroot}%{_bindir}/nvidia-smi
install -D -m644 nvidia-smi.1.gz %{buildroot}%{_mandir}/man1/nvidia-smi.1.gz

# nvidia-cuda-mps
install -D -m755 nvidia-cuda-mps-server %{buildroot}%{_bindir}/nvidia-cuda-mps-server
install -D -m755 nvidia-cuda-mps-control %{buildroot}%{_bindir}/nvidia-cuda-mps-control
install -D -m644 nvidia-cuda-mps-control.1.gz %{buildroot}%{_mandir}/man1/nvidia-cuda-mps-control.1.gz

# nvidia-modprobe
# This should be removed if nvidia fixed their uvm module!
install -D -m4755 nvidia-modprobe %{buildroot}%{_bindir}/nvidia-modprobe
install -D -m644 nvidia-modprobe.1.gz %{buildroot}%{_mandir}/man1/nvidia-modprobe.1.gz

# nvidia-persistenced
install -D -m755 nvidia-persistenced %{buildroot}%{_bindir}/nvidia-persistenced
install -D -m644 nvidia-persistenced.1.gz %{buildroot}%{_mandir}/man1/nvidia-persistenced.1.gz
install -D -m644 nvidia-persistenced-init/systemd/nvidia-persistenced.service.template %{buildroot}%{_unitdir}/nvidia-persistenced.service
sed -i 's/__USER__/nvidia-persistenced/' %{buildroot}%{_unitdir}/nvidia-persistenced.service

# application profiles
install -D -m644 nvidia-application-profiles-%{version}-rc %{buildroot}%{_datadir}/nvidia/nvidia-application-profiles-%{version}-rc
install -D -m644 nvidia-application-profiles-%{version}-key-documentation %{buildroot}%{_datadir}/nvidia/nvidia-application-profiles-%{version}-key-documentation

install -Dm644 %{SOURCE2} %{buildroot}%{_sysusersdir}/nvidia.conf

# dkms
install -d -m0755 %{buildroot}%{_prefix}/src/%{name}-%{version}
cp -a kernel/* %{buildroot}%{_prefix}/src/%{name}-%{version}/
cat kernel/uvm/dkms.conf.fragment >> %{buildroot}%{_prefix}/src/%{name}-%{version}/dkms.conf

## Clutter workaround (http://blog.sukimashita.com/2015/04/13/gnome-3-16-and-nvidia-binary-driver-crash-with-totem-gnome-maps-cheese-and-others/)
#mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
#cat > %{buildroot}%{_sysconfdir}/profile.d/nvidia-clutter.sh << _EOF
#export CLUTTER_BACKEND=x11
#_EOF
#chmod +x %{buildroot}%{_sysconfdir}/profile.d/nvidia-clutter.sh

%check
cd current/kernel
#for d in /lib/modules/4.*/build; do
#   kver=`echo $d|sed "s|/lib/modules/\(.*\)/build.*|\1|"`
#   [ "${kver:0:4}" == "4.0." -o "${kver:0:3}" == "4.1." ] && continue
#   [ "${kver/-arm}" == "${kver}" ] || continue
   d=/lib/modules/`uname -r`/build
   rm -f *.ko
   make %{_smp_mflags} SYSSRC=$d module
   for n in nvidia; do
      [ -e ${n}.ko ] || exit 1
   done
   make %{_smp_mflags} SYSSRC=$d clean
#done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans -n xorg-drv-video-%{name}
if [ $1 -ge 1 ]; then
   # clean any legacy alternatives symlink
   find /lib/modules/*/kernel/drivers/video/ -name nvidia.ko -type l -exec rm -f {} \;
   #dkms remove -q -m nvidia -v 304.60 --all
   dkms add -q -m %{name} -v %{version}
   dkms install -q -m %{name} -v %{version}
fi
:

%post -n xorg-drv-video-%{name}
/sbin/ldconfig
/sbin/depmod -a -F /boot/System.map-%{kernel_ver}%{?KERNEL_TARGET} \
   %{kernel_ver}%{?KERNEL_TARGET} &>/dev/null
:

%preun -n xorg-drv-video-%{name}
# erase
dkms remove -q -m %{name} -v %{version} --all
if [ $1 -eq 0 ]; then
   /sbin/ldconfig
   /sbin/depmod -a -F /boot/System.map-`uname -r` \
      `uname -r` &>/dev/null
fi
:

%triggerpostun -n xorg-drv-video-%{name} -- xorg-drv-video-%{name} < 1:340.108-9mamba
# /bin and /sbin are removed during old filesystem postun
# Fixes for removal of alternatives overwriting symlinks belonging to libglvnd
[ "`readlink -f %{_libdir}/libGL.so.1`" = "%{_libdir}/libGL.so.340.108" ] && ln -sf libGL.so.1.7.0 %{_libdir}/libGL.so.1
[ "`readlink -f %{_libdir}/libEGL.so.1`" = "%{_libdir}/libEGL.so.340.108" ] && ln -sf libEGL.so.1.1.0 %{_libdir}/libEGL.so.1
[ "`readlink -f %{_libdir}/libGLESv2.so.2`" = "%{_libdir}/libGLESv2.so.340.108" ] && ln -sf libGLESv2.so.2.1.0 %{_libdir}/libGLESv2.so.2
:

%files -n xorg-drv-video-%{name}
%defattr(-,root,root)
#%{_sysconfdir}/profile.d/nvidia-clutter.sh
%{_sysconfdir}/OpenCL/vendors/nvidia.icd
%dir %{_prefix}/src/%{name}-%{version}
%{_prefix}/src/%{name}-%{version}/*
%{_bindir}/nvidia-*
%{_prefix}/lib/systemd/system/nvidia-persistenced.service
%{_prefix}/lib/sysusers.d/nvidia.conf
%{_libdir}/nvidia/libEGL.so.*
%{_libdir}/nvidia/libGL.so.*
%{_libdir}/nvidia/libGLESv1_CM.so.*
%{_libdir}/nvidia/libGLESv2.so.*
%{_libdir}/libcuda.so.*
%{_libdir}/libnvcuvid.so.*
%{_libdir}/libnvidia-*.so.*
%{_libdir}/nvidia/xorg/libglx.so
%{_libdir}/nvidia/xorg/libglx.so.*
%{_libdir}/tls/libnvidia-tls.so.*
%{_libdir}/vdpau/libvdpau_nvidia.so.*
%{_libdir}/xorg/modules/drivers/nvidia_drv.so
%{_datadir}/applications/nvidia-settings.desktop
%{_datadir}/nvidia/nvidia-application-profiles-%{version}-key-documentation
%{_datadir}/nvidia/nvidia-application-profiles-%{version}-rc
%{_datadir}/pixmaps/nvidia-settings.png
%{_mandir}/man1/nvidia-cuda-mps-control.1*
%{_mandir}/man1/nvidia-modprobe.1*
%{_mandir}/man1/nvidia-persistenced.1*
%{_mandir}/man1/nvidia-settings.1*
%{_mandir}/man1/nvidia-smi.1*
%{_mandir}/man1/nvidia-xconfig.1*
%doc current/LICENSE

%files -n xorg-drv-video-%{name}-doc
%defattr(-,root,root)
%doc current/{NVIDIA_Changelog,README.txt} current/html

%changelog
* Sun Apr 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 340.108-9mamba
- need to rename libGL etc. as libGL_nvidia or ldconfig will overwrite libglvnd library

* Sun Apr 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 340.108-8mamba
- fix for removal of alternatives overwriting symlinks belonging to libglvnd

* Fri Apr 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 340.108-7mamba
- repackaged with libglvnd and libmesa layout

* Sun Apr 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 340.108-6mamba
- install included dkms file

* Sun Apr 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 340.108-5mamba
- install included dkms file

* Thu Apr 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 340.108-4mamba
- added patches up to kernel 5.11

* Fri Aug 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 340.108-3mamba
- dkms: add IGNORE_CC_MISMATCH=1 before make command to fix build with gcc 10.1+

* Fri Jul 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 340.108-2mamba
- dkms: replace obsoleted SUBDIRS= with M=

* Thu Jul 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 340.108-1mamba
- update to 340.108

* Thu Feb 28 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 340.107-1mamba
- update to 340.107

* Sat Aug 12 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 340.102-2mamba
- patched to fix 'Error: Driver nvidia is already registered, aborting...'

* Sun Aug 06 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 340.102-1mamba
- update to 340.102

* Thu May 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 340.76-2mamba
- CLUTTER_BACKEND workaround to fix Gnome >= 3.16 apps

* Thu Mar 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 340.76-1mamba
- update to 340.76
- don't call nvidia-autoselect-driver

* Mon Sep 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 340.32-2mamba
- don't overwrite makefile with old symlink Makefile.kbuild

* Mon Sep 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 340.32-1mamba
- update to 340.32

* Fri Sep 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 304.123-1mamba
- update to 304.123

* Fri Sep 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 304.116-4mamba
- patched for kernel 3.14

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 304.116-3mamba
- Xorg 1.15 rebuild

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.116-2mamba
- added patch to conftest.sh to fix build on x86

* Sun Nov 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.116-1mamba
- update to 304.116

* Mon Sep 16 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.108-2mamba
- don't obsolete kernelnvidia and Xorg-nvidia

* Sun Sep 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.108-1mamba
- update to 304.108

* Sun Sep 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.88-2mamba
- renamed to nvidia_304; patched for 3.10

* Fri Jul 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.88-1mamba
- update to 304.88
- added kernel 3.10 patch

* Thu Apr 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.60-3mamba
- rebuilt with dkms support (no longer provides precompiled binary modules)
- source renamed to nvidia

* Fri Jan 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.60-2mamba
- kernel 3.4 rebuild

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 304.60-1mamba
- automatic version update by autodist

* Tue Sep 25 2012 Automatic Build System <autodist@mambasoft.it> 304.51-1mamba
- automatic version update by autodist

* Sun Sep 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 304.43-3mamba
- obsoletes legacy 71xx, 96xx, 173xx packages since kernel 3.4 (use nouveau instead)

* Tue Sep 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 304.43-2mamba
- rebuilt with kernel 3.4.11

* Tue Aug 28 2012 Automatic Build System <autodist@mambasoft.it> 304.43-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 304.37-1mamba
- automatic version update by autodist

* Wed Jul 18 2012 Automatic Build System <autodist@mambasoft.it> 304.22-1mamba
- update to 304.22

* Mon Jul 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 302.17-4mamba
- manage libOpenCL.so.1 alternative

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 302.17-3mamba
- kernel 3.4 rebuild

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 302.17-2mamba
- provide libOpenCL_nividia.so.1.0.0 instead of conflicting libOpenCL.so.1.0.0. TODO: manage libOpenCL.so.1 alternatives

* Mon Jun 25 2012 Automatic Build System <autodist@mambasoft.it> 302.17-1mamba
- automatic version update by autodist
- install libvdpau_nvidia.so and libOpenCL.so.*

* Thu Jun 14 2012 Automatic Build System <autodist@mambasoft.it> 295.59-1mamba
- automatic version update by autodist

* Mon Jun 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 295.53-2mamba
- fixed obsoletes for multiple kernel support

* Thu May 17 2012 Automatic Build System <autodist@mambasoft.it> 295.53-1mamba
- automatic version update by autodist

* Fri May 04 2012 Automatic Build System <autodist@mambasoft.it> 295.49-1mamba
- automatic version update by autodist

* Wed Apr 11 2012 Automatic Build System <autodist@mambasoft.it> 295.40-1mamba
- automatic version update by autodist

* Fri Mar 23 2012 Automatic Build System <autodist@mambasoft.it> 295.33-1mamba
- automatic version update by autodist

* Mon Feb 13 2012 Automatic Build System <autodist@mambasoft.it> 295.20-1mamba
- automatic version update by autodist

* Sun Feb 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 290.10-3mamba
- automatic update by autodist

* Wed Jan 25 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 290.10-2mamba
- automatic update by autodist

* Tue Nov 22 2011 Automatic Build System <autodist@mambasoft.it> 290.10-1mamba
- automatic version update by autodist

* Thu Oct 06 2011 Automatic Build System <autodist@mambasoft.it> 285.05.09-1mamba
- automatic version update by autodist

* Sun Sep 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 280.13-4mamba
- automatic update by autodist

* Wed Aug 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 280.13-3mamba
- install libnvidia-ml.so.1 to fix an app requirement

* Fri Aug 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 280.13-2mamba
- automatic update by autodist

* Wed Aug 03 2011 Automatic Build System <autodist@mambasoft.it> 280.13-1mamba
- automatic version update by autodist

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 275.21-1mamba
- automatic update by autodist

* Fri Jul 15 2011 Automatic Build System <autodist@mambasoft.it> 275.19-1mamba
- automatic update by autodist

* Wed Jun 15 2011 Automatic Build System <autodist@mambasoft.it> 275.09.07-1mamba
- automatic update by autodist

* Fri May 20 2011 Automatic Build System <autodist@mambasoft.it> 270.41.19-1mamba
- automatic update by autodist

* Thu Apr 21 2011 Automatic Build System <autodist@mambasoft.it> 270.41.06-1mamba
- automatic update by autodist

* Wed Apr 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.44-3mamba
- kernel 2.6.38 rebuild

* Fri Mar 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.44-2mamba
- kernel 2.6.37 build

* Mon Mar 07 2011 Automatic Build System <autodist@mambasoft.it> 260.19.44-1mamba
- automatic update by autodist

* Mon Feb 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.36-1mamba
- update to 260.19.36

* Mon Feb 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.29-3mamba
- automatic update by autodist

* Fri Dec 17 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.29-2mamba
- rebuilt with kernel 2.6.35

* Wed Dec 15 2010 Automatic Build System <autodist@mambasoft.it> 260.19.29-1mamba
- automatic update to 260.19.29 by autodist

* Wed Dec 08 2010 Automatic Build System <autodist@mambasoft.it> 260.19.21-1mamba
- automatic update to 260.19.21 by autodist

* Mon Oct 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 256.53-4mamba
- don't manage alternatives for libnvidia-tls.so as soname was changed from libnvidia-tls.so.1 to libnvidia-tls.so.<VERSION>

* Fri Oct 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 256.53-3mamba
- fixed for cross-platform build

* Sun Oct 10 2010 Davide Madrisan <davide.madrisan@gmail.com> 256.53-2mamba
- remove alternatives for libnvidia-glcore

* Thu Oct 07 2010 Davide Madrisan <davide.madrisan@gmail.com> 256.53-1mamba
- update to 256.53
- new subpackage xorg-apps-nvidia

* Sun Jul 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 195.36.31-3mamba
- update-alternatives-set-nvidia*: fix alternative configuration for kernel module

* Wed Jun 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 195.36.31-2mamba
- automatic rebuild by autodist

* Wed Jun 23 2010 Automatic Build System <autodist@mambasoft.it> 195.36.31-1mamba
- automatic update to 195.36.31 by autodist

* Thu Apr 29 2010 Automatic Build System <autodist@mambasoft.it> 195.36.24-1mamba
- automatic update to 195.36.24 by autodist

* Fri Mar 19 2010 Automatic Build System <autodist@mambasoft.it> 195.36.15-1mamba
- automatic update to 195.36.15 by autodist

* Fri Mar 05 2010 Automatic Build System <autodist@mambasoft.it> 195.36.08-1mamba
- automatic update to 195.36.08 by autodist

* Sat Dec 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 190.53-3mamba
- automatic rebuild by autodist

* Sat Dec 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 190.53-2mamba
- update alternatives for kernel mode to support different kernel targets

* Wed Dec 16 2009 Automatic Build System <autodist@mambasoft.it> 190.53-1mamba
- automatic update to 190.53 by autodist

* Tue Oct 27 2009 Automatic Build System <autodist@mambasoft.it> 190.42-1mamba
- automatic update to 190.42 by autodist

* Fri Oct 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 185.18.36-2mamba
- fixed alternatives support for multiple kernel targets

* Sat Aug 22 2009 Automatic Build System <autodist@mambasoft.it> 185.18.36-1mamba
- automatic update to 185.18.36 by autodist

* Thu Aug 13 2009 Automatic Build System <autodist@mambasoft.it> 185.18.31-1mamba
- automatic update to 185.18.31 by autodist

* Sun Aug 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 185.18.29-1mamba
- update to 185.18.29
- source renamed to NVIDIA and version chanded to source real version

* Sun Jul 19 2009 Automatic Build System <autodist@mambasoft.it> 2.6.30.185.18.14-1mamba
- update to 2.6.30.185.18.14

* Sat Jun 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.29.185.18.14-1mamba
- update to 2.6.29.185.18.14

* Fri Jun 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.185.18.14-1mamba
- update to 2.6.28.185.18.14

* Wed May 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.180.51-1mamba
- update to 2.6.28.180.51

* Fri Apr 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.180.44-1mamba
- update to 2.6.28.180.44

* Sat Feb 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.180.29-1mamba
- update to 2.6.28.180.29
- legacy 173xx: update to 173.14.15 (beta)

* Sat Feb 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26.180.22-2mamba
- removed libwfb.so, provided by xorg-server >= 1.4

* Tue Feb 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26.180.22-1mamba
- update to 2.6.26.180.22

* Thu Dec 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-3mamba
- remove PreReq for kernel headers; change to kernel PreReq

* Fri Sep 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-2mamba
- rebuilt against updated kernel headers (after disabling RT_SCHED_GROUP)

* Mon Sep 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-1mamba
- update to 2.6.26

* Wed Aug 27 2008 Aleph0 <aleph0@openmamba.org> 4.4.1-1mamba
- nvidia current: update to 177.13
- nvidia 71xx: update to 71.86.06
- nvidia 96xx: update to 96.43.07

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.24-2mamba
- nvidia current: update to 173.14.19

* Fri Mar 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.24-1mamba
- update to 2.6.24

* Wed Jan 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.23-3mamba
- create nvidia.ko alternatives for 71xx and 96xx on updates too
- make depmod silent

* Fri Jan 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.23-2mamba
- fix update of nvidia.ko alternatives
- libGL_nvidia*: run ldconfig

* Sat Dec 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.23-1mamba
- update to 2.6.23
- nvidia driver: update to 169.07

* Sat Oct 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-8mamba
- current driver: added libwfb.so symlink to libnvidia-wfb

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-7mamba
- restored /usr/lib/libnvidia-tls* needed for building

* Wed Oct 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-6mamba
- set libGL-nvidia* as PrePreq's for the respective xorg-drv-video-nvidia* pkg

* Thu Oct 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-5mamba
- run nvidia-autoselect-driver before ldconfig and depmod
- clean libnvidia-tls.so alternative 

* Mon Sep 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-4mamba
- handle alternatives for tls/libnvidia-tls too
- excludes %%libdir/libnvidia-tls.so.*
- handle alternatives for libnvidia-cfg and libXvMCNVIDIA too

* Wed Sep 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-3mamba
- update to 100.14.19
- rename kernel modules as *_ko

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-2mamba
- remove .so extension from libGL, libGLcore and libglx alternatives library 
  to avoid ldconfig reconfigure them removing /etc/alternatives symlink

* Sun Jul 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-1mamba
- update to version 2.6.22
- handle more generic symlinks to libraries to provide ugrade facility
- execute update-alternatives-set-nvidia* if an alternative symlink is broken

* Sun Jun 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-6mamba
- update to 100.14.11

* Wed Jun 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-5mamba
- update to 100.14.09
- 71xx and 96xx packages don't obsolete old packages anymore
- added installation of nvidia-settings and nvidia-xconfig applications
- added installation of libnvidia-wfb xorg module

* Wed Jun 06 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-4mamba
- set alternatives for libGLcore.so.1, libXvMCNVIDIA_dynamic.so.1, libnvidia-tls.so.1 and libnvidia-cfg.so.1

* Mon Jun 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-3mamba
- added common srpm for multiple legacy drivers (71xx and 96xx)
- added nvidia_71xx and nvidia_96xx related packages 
- obsoleting nvidia-legacy related packages
- xorg-drv-video-nvidia-doc: documentation package added

* Sat May 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-2mamba
- xorg-drv-video-nvidia: add requirement for xorg-ext-libglx-nvidia and libGL-nvidia-X11
- xorg-ext-libglx-nvidia: set libglx.so.%{nvidia_libver} as an alternative for libglx.so
- libGL-nvidia-X11: create libGL.so.%{nvidia_libver} as an alternative for libGL.so.1
- add provides for libGL.so.1
- xorg-drv-video-nvidia: add update-alternatives-set-nvidia script

* Thu Apr 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-1mamba
- rebuild with kernel 2.6.21

* Tue Mar 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.20-2qilnx
- driver update to 9755
- obsolete old kernel's package

* Mon Feb 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.20-1qilnx
- update to version 2.6.20 by autospec
- nvidia driver update to 9746

* Thu Dec 28 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.19-2qilnx
- rename libglx-nvidia to xorg-ext-libglx-nvidia and obsolete libglx-nvidia

* Thu Dec 21 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.19-1qilnx
- kernel 2.6.19 build
- add support for Xorg 7.1

* Fri Oct 20 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.18-2qilnx
- renamed from kernel26-nongpl-nvidia to kernel-nongpl-nvidia
- driver update to 8776

* Fri Sep 22 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.18-1qilnx
- kernel 2.6.18 build

* Thu Jun 22 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.17-1qilnx
- new kernel version build
- update to version 1.0-8762

* Sat May 13 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-5qilnx
- rebuilt

* Sun Apr 23 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-4qilnx
- don't rmmod kernel module on package removal

* Fri Apr 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-3qilnx
- rebuild with 2G/2G split kernel

* Sun Apr 16 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-2qilnx
- update to version 1.0-8756

* Sun Apr 02 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-1qilnx
- new kernel version build

* Thu Mar 30 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.15-11qilnx
- split from kernel26-nongpl source to avoid conflicts with fglrx driver
